There are upcoming maintenance events which may impact our services. Learn more

0.17.x Server cannot start due to bad migration Print

  • 169

If you upgrade to the latest 0.17.x branch you may receive an error similar to 

__base__/migrations/2016-10-27_Factorio_0.15.0.lua:20: attempt to index field 'high-tech-science-pack' (a nil value)

To resolve this open your file manager and navigate to data -> base -> migrations. Delete any of the files that are for Factorio versions 0.15.0 and below while leaving 0.16.x and 0.17.x. 

If you still have issues after this please reach out to support who will assist you in getting everything running.


Was this answer helpful?

« Back
Login Sign Up